NEOSD MVS Support thread !

neosd

Neosd Developer
Joined
Oct 18, 2016
Posts
946
Hello everyone,

Lets ask TECH/support NEOSD MVS questions here.
No shipment/other stuff please.


Thanks
 
Joined
Nov 15, 2000
Posts
1,103
So I have the entire Mame 0.179 in a single folder. After I choose the folder and press START I get the error:

NeoBuilderUI has stopped working and the program crashes.

If I copy only a few files into another folder, so it has much less files in it, it works ok.

Any ideas how I fix this please? Thank you.
 

Floob

Kabuki Klasher
Joined
Feb 11, 2006
Posts
123
So I have the entire Mame 0.179 in a single folder. After I choose the folder and press START I get the error:

NeoBuilderUI has stopped working and the program crashes.

If I copy only a few files into another folder, so it has much less files in it, it works ok.

Any ideas how I fix this please? Thank you.

You would only need the ~200 Neo Geo romsets though - not the whole mame set?
 

neosd

Neosd Developer
Joined
Oct 18, 2016
Posts
946
Hello,

You can try opening a command prompt and running "neobuilder -d your_mame_roms_directory", it will show the processing progress on screen and you can see the last file it was trying to read, and remove it from the directory. It was not intended to be run against the entire mame romset, but against just the neogeo romsets.

Thanks

So I have the entire Mame 0.179 in a single folder. After I choose the folder and press START I get the error:

NeoBuilderUI has stopped working and the program crashes.

If I copy only a few files into another folder, so it has much less files in it, it works ok.

Any ideas how I fix this please? Thank you.
 

Razoola

Divine Hand of the UniBIOS,
Staff member
Joined
Nov 12, 2002
Posts
4,630
hmmm, I did not have this problem because I have my neogeo things seperate but I can see that many people will have everything in one dir so the error really needs addressing.
 
Joined
Nov 15, 2000
Posts
1,103
For some reason it did not like the folder name were my MAME Roms are found (it was something like "Mame Roms 0.179" - I now renamed it to just "Mame" and it seems to be working.
 

Razoola

Divine Hand of the UniBIOS,
Staff member
Joined
Nov 12, 2002
Posts
4,630
You could copy your Neo Geo romsets out with a batch file a bit like this:
http://pastebin.com/raw/6C6KfK39

Obviously rename your destination dir as you see fit.

That seems to be missing many neogeo sets from MAME, there are 259 sets the NeoBuilder makes, there are only 204 in that bat. The NeoBuilder really needs to handle directories with 33,000 files if that is the cause of the crash.
 

aku

Loyal Neo-Disciple
Joined
Dec 31, 2015
Posts
833
works pretty well - 188 converted of 268. most of the roms that were not converted are custom stuff (hacks etc.) "unknown, skipped". the strange part is that some of the "normal roms" like pulstar, strhoop etc. got an "internal error"...

i ll get other versions of those and retest...

edit: tested pulstar & strhoop from another source, processed with 0 errors & fine. :)
edit: the first romset i took was not good, retested - 250 files converted to *.neo

only these are missing - but i think i am done...

missing.JPG

For some reason it did not like the folder name were my MAME Roms are found (it was something like "Mame Roms 0.179" - I now renamed it to just "Mame" and it seems to be working.

confirmed - it seems that neobuilder does not like "." - f.e: Y:\MAME 0.123\roms and it crashed - Y:\MAME 0\roms worked without a problem
 
Last edited:

Razoola

Divine Hand of the UniBIOS,
Staff member
Joined
Nov 12, 2002
Posts
4,630
Is there instructions with the neobuilder you have? espicially related to requiring the 32bit c++ runtime? if not it may look like the neos are created correctly but they will be wrong.
 

Rot

Calvin & Hobbes, ,
Staff member
Joined
Jul 8, 2003
Posts
11,368
OK... It seems that I have access to a pretty full set of 259 sorta "thingies"...

I suppose if you came into chat one day... we maybe able to discuss a wide range of issues...

xROTx

PS. You will need a PC/Laptop with Flash installed...

EDIT: I did NOT buy the neosd but I realised it may that certain factors may not run smoothly... especially this part... so i have taken steps...
 

neosd

Neosd Developer
Joined
Oct 18, 2016
Posts
946
Hello,

Yes, we just have checked that and found the bug, there is an issue with foldernames with . on it, we will fix it and issue a new version.

Also, if you are getting "Internal Error", check that you installed VC2015 redistributable 32 bits versión (vcredist.x86.exe).

Thanks !!


works pretty well - 188 converted of 268. most of the roms that were not converted are custom stuff (hacks etc.) "unknown, skipped". the strange part is that some of the "normal roms" like pulstar, strhoop etc. got an "internal error"...

i ll get other versions of those and retest...



yes - i can confirm that. i tried to change the path to Y:\MAME 0.170 NEO GEO ONLY\roms and it crashed. copied the "roms" folder to desktop and neobuilder worked...
 

Razoola

Divine Hand of the UniBIOS,
Staff member
Joined
Nov 12, 2002
Posts
4,630
I suggest everyone using the tool delete all the neos thay have made, read the review I did. You need the MS 32bit (not 64bit) C++ runtime installed (https://www.microsoft.com/en-us/download/details.aspx?id=53587) or the Neobuilder will look like it has worked but in reality will have failed coreating correct .neo files for some games. Looks like neosd forgot to add instructions.
 
Last edited:
Joined
Nov 15, 2000
Posts
1,103
I suggest everyone using the tool delete all the neos thay have made, read the review I did. You need the MS 32bit C++ runtime installed (https://www.microsoft.com/en-us/download/details.aspx?id=53587) or the Neobuilder will look like it has worked but in reality will have failed coreating correct .neo files for some games. Looks like neosd forgot to add instructions.

Now that I installed the 64-bit version, do I have to uninstall it?
 

Razoola

Divine Hand of the UniBIOS,
Staff member
Joined
Nov 12, 2002
Posts
4,630
in the review I clearly say you must use the 32bit runtime even on 64bit os.
 

neosd

Neosd Developer
Joined
Oct 18, 2016
Posts
946
Hello,

We are going to add a function to verify already created roms, to neobuilder.
We hope to have it ready in one or two days.

Thanks !!
 

Rot

Calvin & Hobbes, ,
Staff member
Joined
Jul 8, 2003
Posts
11,368
OK here's the issue neosd pal... you haven't created a FULL instruction set with your tool...

This will include:
1. Basic software needed... MS C++ or whatever...
2. An EXACT instruction pathway to achieve what is needed...
3. An instruction of what sorta mames to use and (I know I know... my fault partly....)

The lads are not all geeky nerd gods.. some of them are quite dumb infact...:D

SO... i have a solution to save yourself from your apparent miscalculation neosd... I am willing to to discuss certain things with members in CHAT only... which will involve 259 plus thingies being available...

xROTx
 

neosd

Neosd Developer
Joined
Oct 18, 2016
Posts
946
Have you included some instructions with the download now?

We have added a quick start guide.
Unfortunally, we thought that instructions about how to use such simple program were not needed.

Thanks !
 

aku

Loyal Neo-Disciple
Joined
Dec 31, 2015
Posts
833
ohh...just saw your posts, updated my post before

yes - its the "." & the problem was the first fullset i tried (only 188 converted), the second one was better (255 converted)

thanks & good work neosd!
 

Razoola

Divine Hand of the UniBIOS,
Staff member
Joined
Nov 12, 2002
Posts
4,630
We have added a quick start guide.
Unfortunally, we thought that instructions about how to use such simple program were not needed.

Thanks !

There is no way anyone would know about needing the 32bit C++ runtime because the tool does not error when its missing, it simply continues like its working. Even an expert would not find that until they actually tried the games on the NeoSD. You really need to remove the download and add a readme.txt with basic info on how to use it and making it clear the 32 bit runtime is needed and not the 64bit version (if its still the case).
 
Top